Page MenuHomePhabricator

Public | Reset Grand Totals
Closed, ResolvedPublic

Description

Darrell suggested:

Would like to suggest a way of resetting the performance stats with a registry hack or something slightly hidden via the GUI.

Event Timeline

Joe created this task.Oct 4 2018, 7:03 PM
Joe created this object in space S5 Public.
Joe triaged this task as Normal priority.
Joe created this object with visibility "Public (No Login Required)".
Joe added a comment.Oct 25 2018, 3:28 PM

There appears to already be a reset for the Grand Totals on the Other Settings tab.

Joe added a comment.Oct 25 2018, 3:41 PM

The Reset Grand Totals button doesn't seem to do anything.

Joe added a comment.Dec 6 2018, 12:16 PM

Function was calling DeleteKeyApp instead of DeleteValue, causing error 2 (not a key)

Public Sub ZeroGrands()

    Reg.DeleteValue "GrandBegin"
    Reg.DeleteValue "GrandByteCopyCnt"
    Reg.DeleteValue "GrandElapsed"
    Reg.DeleteValue "GrandFailCnt"

    Reg.DeleteValue "GrandFileCopyCnt"
    Reg.DeleteValue "GrandFileDelCnt"
    Reg.DeleteValue "GrandFileExcCnt"
    Reg.DeleteValue "GrandFileProcCnt"
    Reg.DeleteValue "GrandFileRecycleCnt"
    Reg.DeleteValue "GrandFileSkipCnt"

    Reg.DeleteValue "GrandFolderCreateCnt"
    Reg.DeleteValue "GrandFolderDelCnt"
    Reg.DeleteValue "GrandFolderExcCnt"
    Reg.DeleteValue "GrandFolderProcCnt"
    Reg.DeleteValue "GrandFolderRecycleCnt"

    Reg.DeleteValue "GrandRunCnt"
    Reg.DeleteValue "GrandWarnCnt"
    
End Sub
Joe closed this task as Resolved.Dec 6 2018, 12:16 PM
Joe renamed this task from Reset statistics to Reset Grand Totals.Dec 6 2018, 3:12 PM